LogicalDOC 6.8.2 - GWT Error using chrome

Problems with installing LogicalDOC? No problems, the solution is closer than you think.

Moderator: car031

HawkHogan
Posts: 4
Joined: Tue Feb 04, 2014 12:20 am

LogicalDOC 6.8.2 - GWT Error using chrome

Tue Feb 04, 2014 4:50 pm

I just did a clean install of the LogicalDoc 6.8.2 tomcat bundle (downloaded from SourceForge).

I have not made any changes to the base installation.

If i visit http://<server>:8080/logicaldoc, I'm prompted with an JavaScript alert box with the following message:

"ERROR: Possible problem with your *.gwt.xml module file.
The compile time user.agent value (gecko1_8) does not match the runtime user.agent value (safari). Expect more errors."


I do not have this issue using FIrefox. If I say "OK" to the alert, everything seems to work properly, but I cannot roll this out to users with a random error message.

Additionally, the splash screen for the login page says "LogicalDoc 6.9" not 6.8.2
agaspa
Posts: 709
Joined: Tue Apr 20, 2010 8:24 am

Re: LogicalDOC 6.8.2 - GWT Error using chrome

Mon Feb 10, 2014 3:52 pm

I have not tried the latest version of the community released,
so I don't know if the issue you encountered is actually present or not.
We have to check
As regards the version of the product I'm inclined to give you reason because we have already received other reports about it.
In fact this is an error, the correct version is 6.8.2, but you can change that easily, shutdown logicaldoc locate file context.properties and change the property value product.version
HawkHogan
Posts: 4
Joined: Tue Feb 04, 2014 12:20 am

Re: LogicalDOC 6.8.2 - GWT Error using chrome

Mon Feb 10, 2014 5:15 pm

Understood on the context.prop file. Its my understanding that the GWT user agent issue is not one I can change without compiling from source or waiting for a new bundle, correct?
agaspa
Posts: 709
Joined: Tue Apr 20, 2010 8:24 am

Re: LogicalDOC 6.8.2 - GWT Error using chrome

Mon Feb 10, 2014 8:37 pm

Hi Hawk,
we just provide a new download for the 6.8.2 on SourceForge.
This should solve the compatibility problems with other browsers (Chrome, Safari, Internet Explorer)
Also we fixed the software version issue.
Here is a direct link http://sourceforge.net/projects/logical ... p/download

Foolow the steps below to update your installkation
1) shutdown tomcat
2) make a backup of you context.properties file (it can be located in tomcat/webapps/logicaldoc/WEB-INF/classes)
3) remove completely the folder tomcat/webapps/logicaldoc
4) remove the logicaldoc.war file from tomcat/webapps
5) copy the new file logicaldoc.war to tomcat/webapps
6) start tomcat using catalina.sh start (on Windows catalina.bat start)
7) wait until you see the message "Startup completed in xxx ms"
8) Shutdown tomcat
9) replace the file context.properties inside the logicaldoc/WEB-INF/classes with the one you saved previously
10) restart tomcat
11) clean-up the cache of your browser

Return to “Installation”

Who is online

Users browsing this forum: No registered users and 3 guests